Jump to content

Archived

This topic is now archived and is closed to further replies.

Ben Cap

Prepar3d Addon (In)Compatibility List

Recommended Posts

Hi ,

 

I am now working on a chart that will show us which addons are compatible with P3D.

 

Please post below if you know the compatibility of an addon and I will keep it updated! :smile:

Share this post


Link to post

Ben, keeping a list of the addons that are compatible is not a smart idea I think, because most of addons are working.

 

Wouldn't you agree that possibly keeping a list of non-compatible addons might be a better idea?

Share this post


Link to post

 

All respect to his efforts... His chart is very disorganized and I would like to create a better cleaner version.

Ben, keeping a list of the addons that are compatible is not a smart idea I think, because most of addons are working.

 

Wouldn't you agree that possibly keeping a list of non-compatible addons might be a better idea?

 

I think that is a good idea. I just need people to tell me in this thread and I will edit it.

 

I really think this will save alot of time for people posting threads about certain problematic aircraft, sceneries, utilities etc

Share this post


Link to post

OK, I can tell you that I know AES is not working - no chance of enabling it.

Currently FSDT is not working, but should soon, as soon as Umberto updates the installers.

LDS 767 is uncertain (not working?) but maybe I can test it some time soon.

Aivlasoft EFB is working only with a cheat - must create a resident exe file called fsx.exe for it to start up. Afterwards it's working.

 

I think that's about it from me.

Share this post


Link to post

Not working

 

RealityXP 430/530 GNS WAAS

 

QualityWings 757 ( Least that I, for the life of me, cannot get to crossover)

Share this post


Link to post

SquackBox working

FSInn partially working with cheat

 

All carenado works that I know of

NGX works

Share this post


Link to post

From another thread: ORBX with peopleflow not working. Even with the migrator, still not compatible with 1.4 as of now. Eg. PNW is working. Sceneries with PF only with disabled PF.

Share this post


Link to post

Quality Wings 757 works for me. I use the FSX to P3D Migrator tool. The Livery Manager doesn't work but you can add them manually like in the old days!

Share this post


Link to post

MD-11 and B747 both from PMDG are working. They need tweaking, but once installed work fine. I can't test anything else because i returned P3D.

Share this post


Link to post

From another thread: ORBX with peopleflow not working. Even with the migrator, still not compatible with 1.4 as of now. Eg. PNW is working. Sceneries with PF only with disabled PF.

 

Strange. Got plenty of Peopleflow at KORS, 3W5 and PAKT. I used the Orbx migrator tool from FSX to P3D.

Share this post


Link to post

Cockpit Chatter / PMDG 737NGX / PMDG JS4100 / ALL Nemeth Choppers / Feel There / EzDoc / Century Citation / Pilatus PC-12 / All Orbx Sceneries / REX-E all working.

Share this post


Link to post

Strange. Got plenty of Peopleflow at KORS, 3W5 and PAKT. I used the Orbx migrator tool from FSX to P3D.

 

Is what I am talking about. With ORBX migrator tool it should work. With the general migrator not. But - do modules work? As they supposedly nag about the 1.4 version?

Besides, running ORBX migrator is kind of stupid, because you have to have FSX installed. And if I decided going P3D only... then what? :(

Share this post


Link to post

Quality Wings 757 works for me. I use the FSX to P3D Migrator tool. The Livery Manager doesn't work but you can add them manually like in the old days!

 

Ive seen you say this before. I many others have tried every way but looses and get . "You dont have FSX SP1 and SP2 installed". Using migration tool to install?

 

Guess I misunderstood? Thought this was suppose to be what "does not" work?

Share this post


Link to post

Ive seen you say this before. I many others have tried every way but looses and get . "You dont have FSX SP1 and SP2 installed". Using migration tool to install?

 

Guess I misunderstood? Thought this was suppose to be what "does not" work?

Yes, I'm using the FSX to Prepar3d Migration tool that I bought. I mentioned that above and in the previous post you're referring to.

 

This is a thread about what Doesn't work. The table that the OP has made states that the Quality Wings 757 doesn't work in P3D. It does work. So I'm posting to let him know to take it off the compatibility table.

Share this post


Link to post

Guys, the chart is for Addons that DON'T work. I don't want posts in here telling me that certain addons work.

 

Also, Word Not Allowed, rename this thread to "Prepar3d Addon Incompatibility List".

Share this post


Link to post

Is what I am talking about. With ORBX migrator tool it should work. With the general migrator not. But - do modules work? As they supposedly nag about the 1.4 version?

Besides, running ORBX migrator is kind of stupid, because you have to have FSX installed. And if I decided going P3D only... then what? :(

 

When I lauch P3D, I get 3 Orbx related nag screens :

 

- ObjectFlow_NZNI_P3D.dll

- ObjectFlow_CEJ4_P3D.dll

- ObjectFlow_PAKT_P3D.dll

 

I didn't check the first 2 sceneries but I can confirm that PAKT object flow works. The Orbx migrator tool alone is a 298 mb download which includes specific P3D dll's so one can't expect the "generic" non Orbx migrator tools to handle Orbx scenery flawlessly. As for P3D only users, Orbx latest products have FSX/P3D compatible wrappers. Guess they have some catching-up to do for their older stuff but considering P3D's market share, can we really blame them ?

 

Post edited for clarity

Share this post


Link to post

Guess they have some catching-up to do for their older stuff but considering P3D's market share, can we really blame them ?

 

 

Well, from what I have observed within my small simulator friend group, many people have begun to try out and enjoy P3D. I think that popularity is growing...

Share this post


Link to post

Oh just wait with the popularity, until we start posting high FPS shots of NGX cockpit in heavy areas :lol:

Share this post


Link to post

Oh just wait with the popularity, until we start posting high FPS shots of NGX cockpit in heavy areas :lol:

 

LOL.... If we can get some really conclusive and thorough benchmarks and make them well known, I guarantee you it will attract hundreds if not thousands of simmers...

Share this post


Link to post

Hi Srdan, Hi Ben,

 

I've yet to venture into P3D, but I am very interested.

 

I think Ben's objective was useful and that Srdan's "lateral thinking" was even better. My concern, after years of Train Simming (I thought FS98 was ****!) and therefore only recently involved in FS9 and FSX, is that this could degenerate into a SimA v SimB thread.

 

I know that wasn't your intention but to my mind any such list woul be most useful if you included a column for "Solutions" too.

 

That way any issues subsequently resolved could be linked to?

 

I would say that I'd not "uninstall" FSX because I had P3D. I've still got FS9 even though I don't use it. It's just disc space? ...and nowadays with 1Tb discs the "norm" ...so what?

 

Geoff

Share this post


Link to post

I didnt know the Orbx Migrator tool did not work as it worked for me with no issues, only need them to update a dll file which is down to the airport and not the migrator tool.

 

Captain sim, 707, 727, 737, 757, 767 and C130 all work in P3D 1.4 but they require a manual entry in to the dll.xml, Im not sure if the ACE works as ive never tested it.

 

Iris DA-42 Twin Star, F-16, Vulcan, F20, A10, Christen Eagle and F14 all work for me no installer issues

 

Ejets V2 works but it needs manual dll.xml set up

CLS/JF MD81/82 and MD87 work as but i cant remember if it needs manual dll.xml set up

 

Ultimate Traffic 2 needs manual dll.xml set up and its ai aircraft folder adding to prepar3d.cfg

 

3D Lights redux needs a full manual install ( copy and paste of its file )

 

Airhauler will work but you need to run it in network mode ( in its options select WIdeFS and wait for sim to launch mode )

 

Aerosoft Cites, Chicago, Las Vegas and San Francisco work but need manual setting in the p3d scenery.cfg

 

GenX VFR Vol1,2 and 3 work but need manual setting in the p3d scenery.cfg

 

MilViz C310R and Barron 55 work with no installer issues from what i remember

Share this post


Link to post

Oh just wait with the popularity, until we start posting high FPS shots of NGX cockpit in heavy areas :lol:

 

Yes, expect a landslide ! Did you make any progress with your benchmarking ?

 

I didnt know the Orbx Migrator tool did not work as it worked for me with no issues

 

@ Gandy : perhaps you misunderstood me, I meant that that the other 2 migrator tools (the freeware one and the payware one) might not be able to cope with moving Orbx scenery due to specific p3d dlls which are included in the Orbx migrator tool which worked flawlessly for me.

Share this post


Link to post

ah ok, the other fsx/p3d migrator tool.. a bit misleading that one.

Share this post


Link to post
Guest
This topic is now closed to further replies.
×
×
  • Create New...